> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opencharges.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List NPIs

> Returns all NPIs from the system that the user has access to



## OpenAPI

````yaml GET /npis
openapi: 3.1.0
info:
  title: OpenCharges API
  description: OpenCharges API specifications.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.opencharges.com/api/v1
security:
  - bearerAuth: []
paths:
  /npis:
    get:
      description: Returns all NPIs from the system that the user has access to
      parameters:
        - name: page
          in: query
          description: The page number of the results to return.
          schema:
            type: integer
            format: int32
        - name: filter[npi]
          in: query
          description: The specific NPI you are searching for. Returns exact matches only.
          schema:
            type: string
        - name: filter[entity_type_code]
          in: query
          description: Filters by the NPIs `entity_type_code`.
          schema:
            type: string
        - name: filter[name]
          in: query
          description: >-
            Filters by the NPIs `org_name`, `pro_first_name` and
            `pro_last_name`.
          schema:
            type: string
        - name: filter[has_records]
          in: query
          description: >-
            Returns NPIs that have negotiated rates associated with them. The
            `false` option returns all NPIs.
          schema:
            type: boolean
      responses:
        '200':
          description: NPI response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NpiIndex'
        '400':
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NpiIndex:
      required:
        - npi
      type: object
      properties:
        npi:
          description: The NPI number given by NPPES.
          type: string
        entity_type_code:
          description: >-
            The entity type code given by NPPES. '0' = Unknown. '1' =
            Professional. '2' = Insitutional.
          type: string
          enum:
            - '0'
            - '1'
            - '2'
        display_name:
          description: >-
            This is the name used for displaying to end users. If the NPI has an
            `entity_type_code` of 1, then we join the first and last name
            together. If the NPI has an `entity_type_code` of 2, then we display
            the `org_name`
          type: string
        org_name:
          description: >-
            If the NPI has an `entity_type_code` of `2`, this will be the
            organizations name. If the `entity_type_code` is `2`, it will be
            `null`.
          type:
            - string
            - 'null'
        pro_last_name:
          description: >-
            If the NPI has an `entity_type_code` of `1`, this will be the
            providers last name. If the `entity_type_code` is `1`, it will be
            `null`.
          type:
            - string
            - 'null'
        pro_first_name:
          description: >-
            If the NPI has an `entity_type_code` of `1`, this will be the
            providers first name. If the `entity_type_code` is `1`, it will be
            `null`.
          type:
            - string
            - 'null'
        pro_middle_name:
          description: >-
            If the NPI has an `entity_type_code` of `1`, this will be the
            providers middle name. If the `entity_type_code` is `1`, it will be
            `null`.
          type:
            - string
            - 'null'
        provider_enumeration_date:
          description: The enumeration date for the provider
          type:
            - string
            - 'null'
        last_update_date:
          description: The last time the provider was updated inside the NPPES dataset.
          type:
            - string
            - 'null'
        certification_date:
          description: The certification date for the provider
          type:
            - string
            - 'null'
        npi_deactivation_date:
          description: The deactivation date for the provider
          type:
            - string
            - 'null'
        npi_reactivation_date:
          description: The reactivation date for the provider
          type:
            - string
            - 'null'
    Error:
      required:
        - message
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````